Taslak Metin

From FreeCAD Documentation
Revision as of 12:55, 8 January 2019 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Metin

Menü konumu
Taslak → Metin
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
T E
Versiyonda tanıtıldı
-
Ayrıca bkz
Hiçbiri

Açıklama

Metin aracı, geçerli belgede belirli bir noktaya bir metin parçası ekler. Taslak araç çubuğunda Çizgi stili setini kullanır.

Katı metin şekilleri oluşturmak için Şekil dizesi ile Parça çıkarma kullanın.

Nasıl kullanılır

  1. Metin düğmesine basın veya T ve ardından E tuşlarına basın
  2. 3D görünümünde bir noktaya tıklayın veya bir Koordinat yazın
  3. İstediğiniz metni girin, her satırda ENTER tuşuna basın
  4. İşlemi tamamlamak için ENTER tuşuna iki kez basın.

Seçenekler

  • CTRL tuşuna basmak, hedefinizi uygun ek konumlara snap getirecektir.
  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında ENTER tuşuna basın.
  • ESC tuşuna basılması işlemi iptal edecektir.
  • Metni düzenlerken, ENTER veya DOWN ARROW tuşuna basarak bir sonraki metin satırına girmenize veya düzenlemenize izin verir.
  • UP ARROW tuşuna basılması, önceki bir metin satırını düzenlemenizi sağlar.
  • ENTER iki kez '(bu nedenle son satırı boş bırakarak) tuşuna basarak metni belgeye ekler ve düzenleyiciyi kapatır.

Özellikleri

  • Veri Position: Metin bloğunun temel noktası
  • Veri Label Text: Metin bloğunun içeriği
  • Görünüm Display Mode: Metnin sahne eksenlerine hizalanıp hizalanmayacağını veya her zaman kameraya dönük olup olmadığını belirtir
  • Görünüm Font Size: Harflerin boyutu
  • Görünüm Justification: Metnin taban noktasının soluna, sağına veya ortasına göre hizalanıp hizalanmayacağını belirtir.
  • Görünüm Line Spacing: Metin satırları arasındaki boşluğu belirtir
  • Görünüm Rotation: Metne uygulanacak bir dönüş belirtir
  • Görünüm Rotation Axis: Döndürme için kullanılacak ekseni belirtir
  • Görünüm Font Name: Metni çizmek için kullanılacak font. "Arial" gibi bir font adı, "sans", "serif" veya "mono" gibi bir varsayılan stil veya "Arial, Helvetica, sans" gibi bir aile veya böyle bir stilde bir isim olabilir. "Arial: Kalın". Belirtilen font sistemde bulunmuyorsa, bunun yerine genel olan kullanılır.

Data

  • VeriText: specifies the contents of the text block as a list of strings; each element on the list, separated by a comma, indicates a new line.
  • VeriPosition: specifies the base point of the first line of the text block.
  • VeriAngle: specifies the rotation of the baseline of the first line of the text block.
  • VeriAxis: specifies the axis to use for the rotation.

View

  • GörünümDisplay Mode: if it is "3D text" the text will be aligned to the scene axes, initially lying on the XY plane; if it is "2D text" the text will always face the camera.
  • GörünümFont Name: specifies the font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.
  • GörünümFont Size: specifies the size of the letters. If the text object is created in the tree view but no text is visible, increase the size of the text until it is visible.
  • GörünümJustification: specifies if the text aligns to the left, right or at the center of the base point.
  • GörünümLine Spacing: specifies the space between lines of text.

Betik

Metin aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

The Text tool can be used in macros and from the Python console by using the following function:

Text = makeText(stringlist, point=Vector(0,0,0), screen=False)
  • Bir FreeCAD.Vector tarafından verilen noktada, bir Text nesnesi oluşturur.
  • stringlist bir dize veya dizelerin listesidir; eğer bir liste ise, her eleman bir satırda görüntülenir.
  • Tercihlerde belirtilen geçerli Çizgi stili kullanılır
  • screen True ise, metin her zaman kamera görüntüleme yönüne bakar, aksi takdirde XY düzleminde bulunur

The placement of the Text can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

The view properties of Text can be changed by overwriting its attributes; for example, overwrite ViewObject.FontSize with the new size in millimeters.

Örnek:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
t1 = "This is a sample text"

p2 = FreeCAD.Vector(1000, 1000, 0)
t2 = ["First line", "second line"]

Text1 = Draft.makeText(t1, point=p1)
Text2 = Draft.makeText(t2, point=p2)
Text1.ViewObject.FontSize = 200
Text2.ViewObject.FontSize = 200

p3 = FreeCAD.Vector(-1000, -500, 0)
t3 = ["Upside", "down"]

Text3 = Draft.makeText(t3, point=p3)
Text3.ViewObject.FontSize = 200

ZAxis = FreeCAD.Vector(0, 0, 1)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 175))
Text3.Placement = place3

Text4 = Draft.makeText(t3, point=p3)
Text4.ViewObject.FontSize = 200
Text4.Placement.Rotation = FreeCAD.Rotation(ZAxis, -30)